Name:          perl-Test-Requires
Summary:       Checks to see if the module can be loaded
Version:       0.10
Release:       15
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/Test-Requires
Source0:       https://cpan.metacpan.org/authors/id/T/TO/TOKUHIROM/Test-Requires-%{version}.tar.gz
BuildArch:     noarch

BuildRequires: coreutils, findutils, perl-interpreter, perl-generators
BuildRequires: perl(base), perl(strict), perl(Test::Builder::Module), perl(Data::Dumper)
BuildRequires: perl(Test::More) >= 0.47, perl(warnings), perl(ExtUtils::MakeMaker) >= 6.64
Requires:      perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Test::Requires checks to see if the module can be loaded.
If this fails rather than failing tests this skips all tests.
Test::Requires can also be used to require a minimum version of Perl.

%package       help
Summary:       man files for %{name}
Requires:      man

%description   help
This package includes man files for %{name}.

%prep
%autosetup -n Test-Requires-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} $RPM_BUILD_ROOT

%check
make test
make test TEST_FILES="xt/*.t"

%files
%license LICENSE
%doc README.md t/ xt/
%{perl_vendorlib}/Test/

%files help
%{_mandir}/man*/*

%changelog
* Mon Jan 13 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.10-15
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:change delete packlist

* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.10-14
- Package init
